<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="dashboard" pageWidth="1133" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1093" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="134bc3bd-e6f7-4131-a8b6-cbf7128eff8e">
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="SBS_latihan"/>
	<property name="com.jaspersoft.studio.unit." value="cm"/>
	<parameter name="bulan" class="java.lang.String"/>
	<parameter name="tahun" class="java.lang.String"/>
	<parameter name="namabulan" class="java.lang.String"/>
	<queryString>
		<![CDATA[exec ReportDashboardROFO $P{bulan},$P{tahun}]]>
	</queryString>
	<field name="descmail" class="java.lang.String"/>
	<field name="ray" class="java.lang.String"/>
	<field name="item_mail" class="java.lang.String"/>
	<field name="target" class="java.lang.Long"/>
	<field name="po" class="java.lang.Long"/>
	<field name="kirim" class="java.lang.Long"/>
	<field name="rofo" class="java.lang.Long"/>
	<variable name="tottgt" class="java.math.BigDecimal" resetType="Group" resetGroup="Group3" calculation="Sum">
		<variableExpression><![CDATA[$F{target}]]></variableExpression>
	</variable>
	<variable name="totpo" class="java.math.BigDecimal" resetType="Group" resetGroup="Group3" calculation="Sum">
		<variableExpression><![CDATA[$F{po}]]></variableExpression>
	</variable>
	<variable name="totkirim" class="java.math.BigDecimal" resetType="Group" resetGroup="Group3" calculation="Sum">
		<variableExpression><![CDATA[$F{kirim}]]></variableExpression>
	</variable>
	<variable name="totrofo" class="java.math.BigDecimal" resetType="Group" resetGroup="Group3" calculation="Sum">
		<variableExpression><![CDATA[$F{rofo}]]></variableExpression>
	</variable>
	<group name="Group1">
		<groupExpression><![CDATA[$F{descmail}]]></groupExpression>
	</group>
	<group name="Group2">
		<groupExpression><![CDATA[$F{descmail}]]></groupExpression>
		<groupHeader>
			<band height="30">
				<textField>
					<reportElement x="2" y="0" width="739" height="30" uuid="1f8b31b0-20d9-4424-b535-777e3e469985">
						<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b0abf468-1a32-4f65-8922-2fbc9d2ac5e8"/>
					</reportElement>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$F{descmail}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="50"/>
		</groupFooter>
	</group>
	<group name="Group3">
		<groupExpression><![CDATA[$F{ray}]]></groupExpression>
		<groupHeader>
			<band height="30">
				<textField>
					<reportElement x="2" y="0" width="739" height="30" uuid="91f96e0c-97f8-48e6-806a-f77ccc217509">
						<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6055c139-2b8a-423c-a6cf-8c8ee1353864"/>
					</reportElement>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$F{ray}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="58">
				<textField>
					<reportElement mode="Opaque" x="102" y="0" width="160" height="30" backcolor="#808080" uuid="993c94b0-0792-42a1-9118-ba933f89582a"/>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Top"/>
					<textFieldExpression><![CDATA[$V{tottgt}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement mode="Opaque" x="262" y="0" width="160" height="30" backcolor="#808080" uuid="2625d663-be2d-4744-ac9a-686c70828212"/>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$V{totpo}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement mode="Opaque" x="422" y="0" width="160" height="30" backcolor="#808080" uuid="542c72c4-8e60-4050-9c68-7220116ae5eb"/>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$V{totkirim}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement mode="Opaque" x="582" y="0" width="160" height="30" backcolor="#808080" uuid="bcedbab4-872b-4d1b-83d3-5b1aa10060fe"/>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center"/>
					<textFieldExpression><![CDATA[$V{totrofo}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement mode="Opaque" x="2" y="0" width="99" height="30" backcolor="#808080" uuid="1e865182-40f7-40ef-ad94-bcfb78c5f25c"/>
					<box>
						<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle"/>
					<text><![CDATA[TOTAL]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="30" splitType="Stretch">
			<textField>
				<reportElement x="262" y="0" width="194" height="30" uuid="cca35c58-a05d-41c1-be58-351b139ca7af"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{namabulan} + " "  + $P{tahun}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement x="2" y="0" width="100" height="30" uuid="46afd491-7b5d-411e-8a67-4a6feac8cd41">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9e7b63fb-4207-4b4c-b491-6b97255a0efb"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Item_mail]]></text>
			</staticText>
			<staticText>
				<reportElement x="102" y="0" width="160" height="30" uuid="44ef088e-6215-4463-997a-434235ae48a8">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="0519e345-2b68-420e-9bf7-a511bb2a46f0"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[target]]></text>
			</staticText>
			<staticText>
				<reportElement x="262" y="0" width="160" height="30" uuid="c53b9a13-b482-4a32-b062-2ca48d633bda">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9827af53-de23-428d-8605-f782e76330de"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[po]]></text>
			</staticText>
			<staticText>
				<reportElement x="422" y="0" width="160" height="30" uuid="7c026fbd-50dc-4b52-a914-e868b372c9ba">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d30e11d1-44f6-4524-bbe2-8c0666d4dd11"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[kirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="582" y="0" width="160" height="30" uuid="af8a38aa-bf0f-4e7c-bd7d-559587467f27">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="bc23b847-0774-40bf-b531-b655a58133f5"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[rofo]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<textField>
				<reportElement x="2" y="0" width="100" height="30" uuid="a1c0843c-b0a4-4bbd-be0d-c90659be224e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9e7b63fb-4207-4b4c-b491-6b97255a0efb"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{item_mail}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="102" y="0" width="160" height="30" uuid="64ebecb8-f03f-4960-b1a0-c929eae0cda4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="0519e345-2b68-420e-9bf7-a511bb2a46f0"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{target}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="262" y="0" width="160" height="30" uuid="4c73e1e6-dc9b-4d75-8ce3-2cb14f41526c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9827af53-de23-428d-8605-f782e76330de"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{po}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="422" y="0" width="160" height="30" uuid="8a42b853-213a-4713-8299-29b91177f7b4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d30e11d1-44f6-4524-bbe2-8c0666d4dd11"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{kirim}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="582" y="0" width="160" height="30" uuid="ebd83bbb-3eab-4a42-a065-c400bd61e0d7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="bc23b847-0774-40bf-b531-b655a58133f5"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{rofo}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
